Skip to content

generic_seas_list

GET
/api/generic/seas/
curl --request GET \
--url https://example.com/api/generic/seas/ \
--header 'Authorization: <Authorization>'

List seas and oceans with optional filtering.

name
string

Filter by sea/ocean name (contains, case-insensitive)

ordering
string

Which field to use when ordering the results.

page
integer

A page number within the paginated result set.

search
string

A search term.

Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

Serializer for seas and oceans resources.

Fields: name (CharField): The preferred label of the sea or ocean, mapped from the ‘prefLabel’ attribute. uri (CharField): The unique resource identifier for the sea or ocean.

object
name
required
string
uri
required
string

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}